/** @defgroup mdc
  * Funes para clculo de Mximo Divisor Comum e Mnimo Mltiplo Comum.
  */

/** @brief Calcula o mximo divisor comum
  * @detail Calcula o mximo divisor comum de dois inteiros positivos.
  * O clculo  realizado utilizando o algoritmo de Euclides. , portanto,
  * bastante eficiente.
  * @param a o primeiro inteiro
  * @param b o segundo inteiro
  * @return o mximo divisor comum dos dois nmeros
  * @todo fazer para nmeros negativos
  */
int mdc(int a, int b)
{
    int r;
    do{
      r=a%b;
      a=b;
      b=r;  /*sempre no final do laco, r  o resto da diviso*/
    }while (r>0); /*termina se resto zero*/
    return a;
}

/** @brief Calcula o mnimo mltiplo comum
  * @detail Calcula o mnimo mltiplo comum de dois inteiros positivos.
  * O clculo realizado utiliza a funo mdc, sendo, portanto, muito eficiente.
  * @param a o primeiro inteiro
  * @param b o segundo inteiro
  * @return o mnimo mltiplo comum dos dois nmeros
  * @todo fazer funcionar para nmeros negativos
  */
int mmc(int a, int b)
{
    return (a/mdc(a,b))*b;
}
